Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pokersource.enumerate
Class HoldemBeliefVector

    java.lang.Object
      org.pokersource.enumerate.BeliefVector
          org.pokersource.enumerate.HoldemBeliefVector

    public class HoldemBeliefVector

extends BeliefVector

A concrete implementation of BeliefVector for the game of Holdem.

Author:
  Michael Maurer <mjmaurer@yahoo.com>

Field Summary

Fields inherited from class org.pokersource.enumerate.BeliefVector
`universalGroup`

Constructor Summary
`HoldemBeliefVector(java.lang.String spec)` Instantiate from a string representation.

Method Summary
`void` | `fromString(java.lang.String spec)` Instantiate self from string respresentation.
`static void` | `main(java.lang.String[] args)`

Methods inherited from class org.pokersource.enumerate.BeliefVector
`addHandGroupAbsolute, addHandGroupRelative, addRemainingAbsolute, addRemainingRelative, getBeliefProb, getHands, numHands, setDeadCards, toString, toStringAtomic, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HoldemBeliefVector

    public HoldemBeliefVector(java.lang.String spec)

  Instantiate from a string representation. The syntax is one or more whitespace separated tokens, where each token takes the form GROUP [":" RELPROB | "=" ABSPROB]. Here GROUP is the string representation of a HoldemHandGroup, RELPROB indicates that hands in the group are RELPROB/100 times as likely as would be expected without any other information, and ABSPROB indicates that hands in the group occur precisely ABSPROB percent of the time. If the probability is omitted then ":100" is the default. Either all groups must use relative probability or all groups must use absolute probability. The special value "" may be used for the last GROUP; it denotes the set of hands not yet mentioned in any previous GROUP.

Method Detail

### fromString

    public void fromString(java.lang.String spec)

  Description copied from class: `BeliefVector`
  Instantiate self from string respresentation. This method must be implemented by all subclasses. Also, subclass constructors should call super(spec) and then fromString(spec).

  Specified by:
    `fromString` in class `BeliefVector`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD